[arch-commits] Commit in purple-plugin-pack/trunk (ChangeLog PKGBUILD)

Alexander Fehr alexanderf at archlinux.org
Mon Aug 25 12:01:23 EDT 2008


    Date: Monday, August 25, 2008 @ 12:00:33
  Author: alexanderf
Revision: 10279

upgpkg: purple-plugin-pack 2.4.0-1

Added:
  purple-plugin-pack/trunk/ChangeLog
Modified:
  purple-plugin-pack/trunk/PKGBUILD

-----------+
 ChangeLog |   10 ++++++++++
 PKGBUILD  |   34 +++++++++++++---------------------
 2 files changed, 23 insertions(+), 21 deletions(-)

Added: ChangeLog
===================================================================
--- ChangeLog	                        (rev 0)
+++ ChangeLog	2008-08-25 16:00:33 UTC (rev 10279)
@@ -0,0 +1,10 @@
+2008-08-16  Alexander Fehr  <pizzapunk gmail com>
+
+  * purple-plugin-pack-2.4.0-1:
+  New upstream release.
+  New maintainer.
+  Changed license to GPL.
+  Added make dependencies on intltool and python.
+  Removed make dependency on perlxml.
+  Cleaned up build function.
+  Added ChangeLog.

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-08-25 15:32:00 UTC (rev 10278)
+++ PKGBUILD	2008-08-25 16:00:33 UTC (rev 10279)
@@ -1,33 +1,25 @@
 # $Id$
-# Maintainer: Dan McGee <dan at archlinux.org>
+# Maintainer: Alexander Fehr <pizzapunk gmail com>
 # Contributor: Dale Blount <dale at archlinux.org>
 
 pkgname=purple-plugin-pack
-pkgver=2.3.0
+pkgver=2.4.0
 pkgrel=1
-pkgdesc="A Plugin Pack for Pidgin"
-arch=(i686 x86_64)
+pkgdesc="Plugin pack for Pidgin"
+arch=('i686' 'x86_64')
 url="http://plugins.guifications.org/trac/wiki/PluginPack"
-license=('GPL2')
-depends=('pidgin' 'glib2')
-makedepends=('perlxml')
+license=('GPL')
+depends=('pidgin')
+makedepends=('intltool' 'python')
 replaces=('gaim-plugin-pack')
-options=(!libtool)
+options=('!libtool')
 source=(http://downloads.guifications.org/plugins/Plugin%20Pack/purple-plugin_pack-$pkgver.tar.bz2)
-md5sums=('32a297e854341c5b043a5325ee6f0819')
+md5sums=('ae7e133119eb7f127e22566fe9f56145')
 
 build() {
-  cd $startdir/src/purple-plugin_pack-$pkgver
-  ./configure --prefix=/usr
-  # kill a few plugins that we don't want built
-  rm xmmsremote/.build || return 1
-  rm talkfilters/.build || return 1
-  # reconfigure without these plugins (seems to not work if you don't
-  # run configure twice)
-  ./configure --prefix=/usr
-  make || return 1
-  make DESTDIR=$startdir/pkg install
+  cd "$srcdir/purple-plugin_pack-$pkgver"
 
-  # xmms plugin just doesn't want to disappear cleanly (starting in 2.0.0)
-  rm -rf $startdir/pkg/usr/share/pixmaps/
+  ./configure --prefix=/usr || return 1
+  make || return 1
+  make DESTDIR="$pkgdir" install || return 1
 }




More information about the arch-commits mailing list